# Get all accounts (deprecated)

Returns a list containing the accounts shared for a consent.


Does a fresh pull from the external provider.

Endpoint: GET /data/v2/consents/{consentId}/accounts
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    The consent ID to fetch the account information for

## Header parameters:

  - `endUser-Ip` (string)
    The IP address of the end user. If provided will enable unlimited data refreshes for open banking providers that support this feature.

## Response 200 fields (application/json):

  - `data` (object)
    List of accounts returned for a given consent.

  - `data.providerId` (string,null)
    The unique identifier of the provider.

  - `data.providerName` (string,null)
    The name of the provider e.g., Lloyds.

  - `data.countryCode` (string,null)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `data.requestDateTime` (string,null)
    ISO 8601 (UTC) encoded date time string containing
the date and time the data was retrieved.

  - `data.accounts` (array,null)
    The list of account details returned.

  - `data.accounts.accountId` (string,null)
    Unique identifier for the account at the institution.

  - `data.accounts.currencyCode` (string,null)
    ISO4217 currency code for the account.

  - `data.accounts.displayName` (string,null)
    The user’s familiar name for the account.

  - `data.accounts.accountHolderNames` (string,null)
    The AccountHolderNames is the name or names of the account owner(s) represented at an account level.

  - `data.accounts.accountType` (string)
    Enum: "Business", "Personal"

  - `data.accounts.accountSubType` (string)
    Enum: "ChargeCard", "CreditCard", "CurrentAccount", "Emoney", "Loan", "Mortgage", "PrepaidCard", "Savings"

  - `data.accounts.identifiers` (object)

  - `data.accounts.identifiers.accountNumber` (string,null)
    The bank’s unique identifier for the account.

  - `data.accounts.identifiers.bankCode` (string,null)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK).

  - `data.accounts.identifiers.bic` (string,null)
    Bank Identifier Code (BIC) is a standard format used to help identify banks worldwide.
BIC is needed when transferring money between banks,
in particular for international wire transfers.
BIC code is interchangeably used with SWIFT code

  - `data.accounts.identifiers.iban` (string,null)
    International Bank Account Number (IBAN).

  - `data.accounts.identifiers.secondaryIdentification` (string,null)
    Additional information for identifying the account in the institution,
e.g., Building society Roll Number.

  - `data.accounts.parties` (array,null)

  - `data.accounts.parties.partyId` (string,null)
    A unique and immutable identifier used to identify a specific party.
This identifier has no meaning to the account owner.

  - `data.accounts.parties.fullName` (string,null)
    Name by which a specific party is known and which is usually used to identify that party.

  - `data.accounts.parties.addresses` (array,null)
    Addresses associated with a specific party.

  - `data.accounts.parties.addresses.address` (string,null)
    Information that identifies an address of a specific party.

  - `data.accounts.parties.addresses.type` (string)
    A collection of address types.
    Enum: "Business", "Correspondence", "DeliveryTo", "MailTo", "POBox", "Postal", "Residential", "Statement"

  - `data.accounts.parties.addresses.city` (string,null)
    Information that identifies a specific city in the party address.

  - `data.accounts.parties.addresses.postcode` (string,null)
    Information that identifies a specific postcode in the party address.

  - `data.accounts.parties.addresses.country` (string,null)
    Information that identifies a specific country in the party address.

  - `data.accounts.parties.addresses.countrySubDivision` (string,null)
    Identifies a subdivision of a country e.g., state, region, county in the party address.

  - `data.accounts.parties.partyType` (string)
    Party type, in a coded form.
    Enum: "Delegate", "Joint", "Sole"

  - `data.accounts.parties.isIndividual` (boolean,null)
    Indicates the party is an individual and not a business.

  - `data.accounts.parties.isAuthorizingParty` (boolean,null)
    Indicates the party authorized the connection on behalf of a joint or business account.

  - `data.accounts.parties.emailAddress` (string,null)
    Email address of a specific party.

  - `data.accounts.parties.phoneNumbers` (array,null)
    Phone numbers which are linked to a specific party.

  - `data.accounts.parties.phoneNumbers.type` (string)
    A collection of different types of phone number.
    Enum: "Home", "Work", "Landline", "Mobile"

  - `data.accounts.parties.phoneNumbers.phoneNumber` (string,null)
    Collection of information that identifies a phone number.

  - `meta` (object)
    Meta data indicating how many total records contained in a corresponding collection

  - `meta.totalRecords` (integer)
    Total records contained in the corresponding collection

## Response 403 fields (application/json):

  - `code` (string,null)
    Error code.

  - `description` (string,null)
    Error message.

  - `details` (string,null)
    Error details.

  - `correlationId` (string,null)
    User transaction tracking Id


## Response 401 fields
